package Application;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.PasswordField;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.text.Font;
import javafx.scene.text.Text;
import javafx.stage.Stage;

public class HelloFX extends Application{

	@Override
	public void start(Stage stage) throws Exception {

		// Root Layout definieren. In diesem Fall ein Grid. 
		GridPane gp = new GridPane();
		gp.setHgap(10);
		gp.setVgap(10);
		gp.setPadding(new Insets(25));
		
		// Scene erstellen. Verlangt das Root-Element. In diesem Fall unsere GridPane
		Scene loginScene = new Scene(gp);
		
		//Elemente definieren: 
		Text welcometxt = new Text("Willkommen bei Ihrer Bank"); 
		welcometxt.setFont(new Font(30));
		Label pswl = new Label("Passwort: ");
		Label usrnl = new Label("Nutzername: ");
		TextField usrn_field = new TextField();
		PasswordField psw_field = new PasswordField();
		Button login_btn = new Button("Einloggen");
		
		// Fuer Aufgabe 2: Statustext. Ist zu Beginn leer. 
		Text statustxt = new Text("");
		
		//Elemente in das Grid legen:
		gp.add(welcometxt, 0, 0,2,1); // Ueberschrift geht ueber 2 Spalten. 
		gp.add(usrnl, 0, 1);
		gp.add(usrn_field, 1, 1);
		gp.add(pswl, 0, 2);
		gp.add(psw_field, 1, 2);
		gp.add(login_btn, 0, 3);
		gp.add(statustxt, 0, 4); // Statustext in der letzten Zeile
		
		// Szene auf die Buehne holen
		stage.setScene(loginScene);
		
		stage.sizeToScene();
		stage.setTitle("Please log in...");
		stage.setResizable(false);
		stage.show();
		
		// Button Action definieren:
		login_btn.setOnAction(new EventHandler<ActionEvent>() {
			
			@Override
			public void handle(ActionEvent event) {
				
				if(usrn_field.getText().equals(""))
					statustxt.setText("Kein Nutzername");
				else if (psw_field.getText().equals(""))
					statustxt.setText("Kein Passwort");
				else
					statustxt.setText("OK"); // Hier wird der Nutzer eingeloggt. 
				
					//Hier koennte dann eine neue Szene auf die Buehne geholt werden. Siehe Hausaufgabe :)  
			}
		});
		
	}

	// Main-Methode fuer die JRE
	public static void main(String[] args) {
		Application.launch(args);
	}

}
